curl --request PATCH \
--url https://apiweb.mile.app/api/v3/location-history/{loc_history_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "example@mile.app",
"taskId": "634e98098ce69d29474a7e11",
"speed": 40,
"distance": 50,
"duration": 50,
"lat": -6.1771046,
"lon": 106.9240199
}
'import requests
url = "https://apiweb.mile.app/api/v3/location-history/{loc_history_id}"
payload = {
"email": "example@mile.app",
"taskId": "634e98098ce69d29474a7e11",
"speed": 40,
"distance": 50,
"duration": 50,
"lat": -6.1771046,
"lon": 106.9240199
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'example@mile.app',
taskId: '634e98098ce69d29474a7e11',
speed: 40,
distance: 50,
duration: 50,
lat: -6.1771046,
lon: 106.9240199
})
};
fetch('https://apiweb.mile.app/api/v3/location-history/{loc_history_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Data has been updated successfully.",
"location_history": {
"email": "example@mile.app",
"taskId": "634e98098ce69d29474a7e11",
"speed": 40,
"distance": 50,
"duration": 50,
"lat": -6.1771046,
"lon": 106.9240199,
"_id": "634e98098ce07d29474a7e22_example@mile.app_1675224349343",
"time": 1675224349343,
"organizationId": "634e98098ce07d29474a7e22",
"createdTime": "2022-10-07 03:00:58",
"updatedTime": "2022-10-07 04:00:58",
"data": {
"temperature": 31,
"anotherKey": "anotherValue"
}
}
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Update partially location history by ID
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Body
Required, User's email assigned to the monitored task. Example: example@mile.app
Required, Latitude coordinate position. Example: -6.1771046
Required, Longitude coordinate position. Example: 106.9240199
Unique ID to identify the task. Example: 634e98098ce69d29474a7e11
Vehicle speed in kilometers per hour. Example: 40
Distance traveled from the previous location. Example: 50
Time duration spent at this location in milliseconds. Example: 50
This is a free object that you can fill with any data in object format. Use it to store dynamic information that is not covered by the standard fields, such as fuel level or vehicle temperature. Any key you send is stored as-is and returned in the location history response. Example: {'temperature': 31, 'anotherKey': 'anotherValue'}